バージョン選択

フォーラム

メニュー

オンライン状況

96 人のユーザが現在オンラインです。 (67 人のユーザが フォーラム を参照しています。)
登録ユーザ: 1
ゲスト: 95
qgamesq22 もっと...

サイト内検索

質問 > 管理機能 > クーポンプラグインがインストールできない

管理機能

新規スレッドを追加する

スレッド表示 | 新しいものから 前のトピック | 次のトピック | 下へ
投稿者 スレッド
h_tanaka
投稿日時: 2019/7/16 14:15
対応状況: −−−
仙人
登録日: 2016/7/22
居住地: 愛媛県
投稿: 907
クーポンプラグインがインストールできない
EC-CUBE 4.0.2
PHP 7.1.5
ロリポップ

管理画面のオーナーズストアからクーポンプラグインをインストールしようとすると「システムエラーが発生しました。」と表示されます。
どうすれば解決できるでしょうか?

エラーログを添付します。
___ ADMIN __________________________________________________________________________________________
Changed CWD to /home/users/1/weblike.jp-toebisu/web/eccube4
  Reading ./composer.json
  Loading config file ./composer.json
  Executing command (/home/users/1/weblike.jp-toebisu/web/eccube4): git branch --no-color
  --no-abbrev -v
  Executing command (/home/users/1/weblike.jp-toebisu/web/eccube4): git describe --exact-match
  --tags
  Executing command (/home/users/1/weblike.jp-toebisu/web/eccube4): git log --pretty="%H" -n1 HEAD
  Executing command (/home/users/1/weblike.jp-toebisu/web/eccube4): hg branch
  Executing command (/home/users/1/weblike.jp-toebisu/web/eccube4): fossil branch list
  Executing command (/home/users/1/weblike.jp-toebisu/web/eccube4): fossil tag list
  Executing command (/home/users/1/weblike.jp-toebisu/web/eccube4): svn info --xml
  <warning>Deprecation warning: require.ec-cube/Coupon4 is invalid, it should not contain uppercase
  characters. Please use ec-cube/coupon4 instead. Make sure you fix this as Composer 2.0 will
  error.</warning>
  <warning>Deprecation warning: require.ec-cube/JaccsPayment is invalid, it should not contain
  uppercase characters. Please use ec-cube/jaccspayment instead. Make sure you fix this as Composer
  2.0 will error.</warning>
  <warning>Deprecation warning: require.ec-cube/RemisePayment4 is invalid, it should not contain
  uppercase characters. Please use ec-cube/remisepayment4 instead. Make sure you fix this as
  Composer 2.0 will error.</warning>
  <warning>Deprecation warning: require-dev.mikey179/vfsStream is invalid, it should not contain
  uppercase characters. Please use mikey179/vfsstream instead. Make sure you fix this as Composer
  2.0 will error.</warning>
  Failed to initialize global composer: Composer could not find the config file:
  /home/users/1/weblike.jp-toebisu/web/eccube4/app/Plugin/.composer/composer.json
  To initialize a project, please create a composer.json file as described in the
  https://getcomposer.org/ "Getting Started" section
  Reading /home/users/1/weblike.jp-toebisu/web/eccube4/vendor/composer/installed.json
  Loading plugin Eccube\Composer\EccubePluginInstallerPlugin
  Loading plugin PackageVersions\Installer
  Loading plugin Symfony\Flex\Flex
  Running 1.8.3 (2019-01-30 08:31:33) with PHP 7.1.5 on Linux / 4.14.33-300.1.1.hl6.x86_64
  Reading ./composer.json
--> command: config
--> setting-key: repositories.eccube
--> setting-value:
      - '{"type":"composer","url":"https:\/\/package-api.ec-cube.net","options":{"http":{"header":["X-ECCUBE-KEY: H4Dg6BfF1tSoZDFUvOgnQqz4jPUFJiXzpp6eMUMc"]}}}'
--> '--working-dir': /home/users/1/weblike.jp-toebisu/web/eccube4
--> '--no-ansi': true
h_tanaka
投稿日時: 2019/8/2 17:57
対応状況: −−−
仙人
登録日: 2016/7/22
居住地: 愛媛県
投稿: 907
Re: クーポンプラグインがインストールできない
ちなみに、
macOSでは成功しました。
さくらVPSでも同じプラグインインストールエラーが発生します。

また、他のプラグインを入れてみても同様にエラーになります。


----------------
EC-CUBE 《プラチナ》ランクパートナー
トエビス株式会社 田中 宏典
EC-CUBEの機能やデザインのカスタマイズ承ります。

スレッド表示 | 新しいものから 前のトピック | 次のトピック | トップ


 



ログイン


EC-CUBEペイメント

ec-cube.co

統計情報

総メンバー数は49,517名です
総投稿数は93,188件です

投稿数ランキング

1
seasoft
7332
2
AMUAMU
2712
3
nanasess
1967
4
468
1818
5
yuh
1602
6
red
1343
7
umebius
1296
8
fukap
907
9
h_tanaka
907
10
tsuji
856
11
shutta
835
12 ramrun 789
13
tao_s
774
14 karin 656
15 sumida 641
16
homan
633
17 DELIGHT 571
18
patapata
502
19
flealog
483
20 tonton 436


ネットショップの壺

EC-CUBEインテグレートパートナー

Copyright© EC-CUBE CO.,LTD. All Rights Reserved.